{"title":"Delete subscriptions","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_subscriptions_delete/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_subscriptions_delete, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_subscriptions_delete","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Deletes subscriptions  in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":2,"title":"Custom APIs","slug":"custom-apis","at":53,"chars":481},{"level":2,"title":"HTTP request","slug":"http-request","at":534,"chars":281},{"level":2,"title":"Request headers","slug":"request-headers","at":815,"chars":236},{"level":2,"title":"Request body","slug":"request-body","at":1051,"chars":61},{"level":2,"title":"Response","slug":"response","at":1112,"chars":81},{"level":2,"title":"Example","slug":"example","at":1193,"chars":265},{"level":2,"title":"Related information","slug":"related-information","at":1458,"chars":221}],"text":"Deletes a subscriptions object for Business Central.\n## Custom APIs\nIf you're subscribing to a custom API page, both the URL you send the subscription HTTP request to and the resource path you wish to subscribe to must include the `<APIPublisher>`, `<APIGroup>`, and `<APIVersion>` elements equivalent to: `api/<APIPublisher>/<APIGroup>/<APIVersion>/subscriptions`. For example, if your API publisher is pub, your API group is grp, and the version is 1.0, part of the URL will contain these elements `api/pub/grp/v1.0/subscriptions`.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n> IMPORTANT\n> The subscription ID must be enclosed in single quotes in the URL.\n```\nDELETE businesscentralPrefix/subscriptions('{id}')\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\nIf-Match|Required. When this request header is included and the eTag provided doesn't match the current tag on the subscription, the subscription won't be updated.\n## Request body\nDon't supply a request body for this method.\n## Response\nIf successful, this method returns a `204 No Content` response code.\n## Example\nRequest\nHere's an example of the request. Note that the subscription ID value must be enclosed in single quotes.\n```json\nDELETE https://{businesscentralPrefix}/api/v1.0/subscriptions('c670ea73-b37b-4a7e-8dc4-de3e1f6f5445')\n```\nResponse\nNo response body.\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_subscriptions\ndynamics_subscriptions_get\ndynamics_subscriptions_create\ndynamics_subscriptions_update"}